BoltonCms::Display.controllers :base do

  get :index, map: "/*path" do
    @home = Page.where(parent: nil, position: 0).first
    @sections = Page.where(parent: nil, :position.gt => 0)

    if params[:path].first.size == 0
      @page = @home
    else
      @page = Page.where(path: params[:path].join('/')).first
    end

    if @page
      render_by_config(@page)
    else
      halt 404
    end
  end

  define_method :render_by_config do |page|
    view_root = Padrino.root('bolton_cms/display/views')

    template = 'templates/' << page.template.to_s
    layout = BoltonCms::TEMPLATES[page.template.to_s]['layout'].to_s

    if Dir.glob(view_root+'/'+template+'.*').empty?
      render 'templates/default', layout: 'application'
    else
      render template, layout: layout, views: view_root
    end
  end

end
