//= require enquire.min
//= require jquery.mobile.custom.min

$(window).load(function() {
  // Flash notifications
  var $flash = $(".flash");
  var fo = { queue: true, easing: "linear", duration: 75 };
  $flash.animate({ top: "+=5"  }, fo)
        .animate({ top: "-=10" }, fo)
        .animate({ top: "+=10" }, fo)
        .animate({ top: "-=10" }, fo)
        .animate({ top: "+=5"  }, fo);
  setTimeout(function() {
    $flash.fadeOut(1000, function() {
      $flash.remove();
    });
  }, 5000);

  // Mobile navigation
  enquire.register("screen and (max-width: 29.6875em)", {
    match: function() {
      var nav = $("#global-nav");
      var toggle = $("<span class='nav-toggle'/>");
      nav.parent().append(toggle);
      nav.hide();
      toggle.on("tap", function(e) {
        e.preventDefault();
        $this = $(this);
        $this.toggleClass("open");
        nav.slideToggle(250);
      });
    },
    unmatch: function() {
      var nav = $("#global-nav");
      var toggle = nav.parent().find(".nav-toggle");
      nav.show();
      toggle.remove();
    }
  });

  // Collapsible sections/fieldsets
  $(".accordion-container .collapsible-header").click(function() {
    var $this = $(this);
    var $parent = $this.parent(".collapsible");
    var $content = $parent.find(".collapsible-content");

    if ($.ui) {

      if ($parent.hasClass("collapsed")) {
        $parent.parent(".accordion-container").find(".collapsible:not(.collapsed)").addClass("collapsed", 250);
        $parent.removeClass("collapsed", 250);
      } else {
        $parent.addClass("collapsed", 250);
      }

    } else {

      if ($parent.hasClass("collapsed")) {
        var $open = $parent.parent(".accordion-container").find(".collapsible:not(.collapsed) .collapsible-content");
        var height = $open.innerHeight();

        $open.css({
            boxSizing: "border-box",
            overflow: "hidden",
            maxHeight: height
          })
          .animate({
            maxHeight: 0
          }, 200, function() {
            $(this).parent(".collapsible").addClass("collapsed");
            $(this).css({ maxHeight: "auto" });
          });

        $content.css({
          boxSizing: "border-box",
          overflow: "hidden"
        });
        $parent.removeClass("collapsed");
        $content.animate({
          maxHeight: height
        }, 200);
      }

    }
  });
});
