BoltonCms::Manage.helpers do

  def labeled_field(form, field, options={}, &block)
    error = form.object.errors.include?(field)

    swap = options.delete(:swap) || false

    class_attr = [
      options[:class],
      ('field-error' if error),
      ('control' if swap)
    ].compact

    options[:class] = class_attr.join(' ') if class_attr.size > 0

    content_tag(:p, nil, options) do
      label = form.label(field, { caption: options.delete(:label) || field.to_s.titleize })
      if swap
        yield << label
      else
        label << yield
      end <<
      (error ? content_tag(:span, form.error_message_on(field), class: 'field-error-message') : '')
    end
  end

  def render_tree(object, node_fragment_path, level=1)
    content_tag(:ul, class: level > 1 ? 'branch' : 'tree') do
      content_tag(:li, class: "node node-#{object.position}") do
        partial node_fragment_path, locals: { object: object, level: level+1 }
      end
    end
  end

  def stamp(account, date)
    "#{ date.strftime('on %D at %r') } by #{ account.present? ? account.name : '[unknown]' }"
  end

end
