module BoltonCms

  # CMS Roles and Renderers are currently hardcoded, and may be so forever
  ROLES = [:producer, :editor, :admin]
  RENDERERS = [:markdown, :raw]
  PARTIAL_RENDERERS = [:markdown, :slim, :raw]

  # CMS Markdown Renderer is currently Redcarpet
  MDR = Redcarpet::Markdown.new(Redcarpet::Render::HTML, autolink: true, space_after_headers: true)

  # Gravity comes from ImageMagick
  GRAVITY = ['NorthWest', 'North', 'NorthEast', 'West', 'Center', 'East', 'SouthWest', 'South', 'SouthEast']

  # Site config holds site info, and must be overridden
  SITE = YAML::load(File.open("#{Padrino.root}/bolton_cms/config/site.yml")) || {}

  # Templates configuration must be overridden
  TEMPLATES = YAML::load(File.open("#{Padrino.root}/bolton_cms/config/templates.yml")) || {}

end
