class Fragment

  include Mongoid::Document
  include Mongoid::Timestamps

  embedded_in :page

  field :label,  type: String
  field :body,   type: String, default: ''
  field :filter, type: Symbol, default: :markdown
  field :active, type: Boolean, default: true

  index({ label: 1 }, { unique: true })

  validates_presence_of :label

end
